| Home | Libraries | People | FAQ | More

## Struct template has_nothrow_move

boost::has_nothrow_move

## Synopsis

    // In header: <boost/move/move.hpp>

    template<typename T>
    struct has_nothrow_move {
    };

## Description

By default this traits returns false. Classes with non-throwing move constructor and assignment should specialize this trait to obtain some performance improvements.